Why I can not run electron on arm platform ?The version is electron-v0.30.2-linux-arm


#1

I get “electron-v0.30.2-linux-arm” and can’t run it on arm. What requirements for arm platform in this version?


I've tried to cross compile electron environment for arm platform but failed.I do need help!
#2

I assume you followed these instructions?

If you want to cross compile for arm or ia32 targets, you can pass the --target_arch parameter to the bootstrap.py script:

$ ./script/bootstrap.py -v --target_arch=arm


#3

Yes,after that I do followed the instructions to cross compile for arm.But I met a problem that I haven’t solved yet.
I have prepared the environment according to the “Prerequisites”.
Python: 2.7.3
node:v0.12.7
Clang:Ubuntu clang version 3.4-1ubuntu3~precise2 (tags/RELEASE_34/final) (based on LLVM 3.4)
GTK+ and libnotify
The problem is:


Please check for me,thanks!


#4

Your screenshot seems to have cut off a few things.
Can you post the whole output by any chance?


#5

I’m trying to upload a log file but failed.Then I put it to my cloud.You can get it from http://pan.baidu.com/s/1mg29a8g


#6

You might have more luck getting help by opening an issue on the electron repository.